Subject: Re: [PATCH 1/2] Makefile: use "find" to determine static header dependencies

From: Jeff King <[email-masked]>
Date: Fri, 22 Aug 2014 00:12:36 -0400

On Thu, Aug 21, 2014 at 07:48:18AM -0700, Jonathan Nieder wrote:

> Subject: i18n: treat "make pot" as an explicitly-invoked target
> 
> po/git.pot is normally used as-is and not regenerated by people
> building git, so it is okay if an explicit "make po/git.pot" always
> automatically regenerates it.  Depend on the magic FORCE target
> instead of explicitly keeping track of dependencies.
> 
> This simplifies the makefile, in particular preparing for a moment
> when $(LIB_H), which is part of $(LOCALIZED_C), can be computed on the
> fly.
> 
> We still need a dependency on GENERATED_H, to force those files to be
> built when regenerating git.pot.
> 
> Signed-off-by: Jonathan Nieder <[email-masked]>

Yeah, this is way less gross than what I proposed, and I do not think it
hurts anything. We do still need to drop the use of ":=" in assigning
LOCALIZED_C, but I do not think there is any need for it in the first
place.

-Peff